abstract class UserEvent {}

class UserInitialized extends UserEvent {}

class UserLoaded extends UserEvent {
  final String userId;
  
  UserLoaded(this.userId);
}

class UserUpdated extends UserEvent {
  final Map<String, dynamic> userData;
  
  UserUpdated(this.userData);
}

class UserLoggedOut extends UserEvent {
  UserLoggedOut();
}
class LoadUser extends UserEvent {
  final String userId;
  
  LoadUser(this.userId);
}
